Bug 1622545 - Extremely slow launching of apps on F29
Summary: Extremely slow launching of apps on F29
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: at-spi2-core
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-27 12:39 UTC by Stephen Gallagher
Modified: 2018-09-05 01:08 UTC (History)
7 users (show)

Fixed In Version: at-spi2-core-2.28.0-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-05 01:08:35 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2018-08-27 12:39:00 UTC
Description of problem:
I'm running the latest F29 update (with GNOME 3.29.91) and it's *extremely* slow to launch any application. When I launch from a terminal, I see that it's timing out trying to reach the accessibility bus address in D-BUS.

Version-Release number of selected component (if applicable):
gnome-shell-3.29.91-1.fc29.x86_64
dbus-1.12.10-1.fc29.x86_64
ibus-1.5.19-2.fc29.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Launch any graphical application from the terminal
2. Wait until it times out (it will then launch)

Actual results:

[sgallagh@sgallaghp50:~]$ gnome-boxes

(gnome-boxes:8923): dbind-WARNING **: 07:52:36.440: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Expected results:
The application should launch quickly

Additional info:
This happened after I performed a dnf update and rebooted today. The following packages were updated:

Packages Altered:
    Install  kernel-4.18.5-300.fc29.x86_64                                   @fedora
    Install  kernel-core-4.18.5-300.fc29.x86_64                              @fedora
    Install  kernel-devel-4.18.5-300.fc29.x86_64                             @fedora
    Install  kernel-modules-4.18.5-300.fc29.x86_64                           @fedora
    Install  kernel-modules-extra-4.18.5-300.fc29.x86_64                     @fedora
    Upgrade  389-ds-base-libs-1.4.0.16-1.fc29.x86_64                         @fedora
    Upgraded 389-ds-base-libs-1.4.0.15-1.fc29.x86_64                         @@System
    Upgrade  at-spi2-core-2.28.0-3.fc29.x86_64                               @fedora
    Upgraded at-spi2-core-2.28.0-2.fc29.x86_64                               @@System
    Upgrade  at-spi2-core-devel-2.28.0-3.fc29.x86_64                         @fedora
    Upgraded at-spi2-core-devel-2.28.0-2.fc29.x86_64                         @@System
    Upgrade  bodhi-client-3.9.0-1.fc29.noarch                                @fedora
    Upgraded bodhi-client-3.8.1-2.fc29.noarch                                @@System
    Upgrade  container-selinux-2:2.71-1.git5721d74.fc29.noarch               @fedora
    Upgraded container-selinux-2:2.69-1.git452b90d.fc29.noarch               @@System
    Upgrade  containers-common-1:0.1.32-2.dev.gite814f96.fc29.x86_64         @fedora
    Upgraded containers-common-1:0.1.32-1.dev.gite814f96.fc29.x86_64         @@System
    Upgrade  eclipse-equinox-osgi-1:4.9.0-0.4.fc29.x86_64                    @fedora
    Upgraded eclipse-equinox-osgi-1:4.9.0-0.2.fc29.x86_64                    @@System
    Upgrade  edk2-ovmf-20180815gitcb5f4f45ce-1.fc29.noarch                   @fedora
    Upgraded edk2-ovmf-20180529gitee3198e672e2-5.fc29.noarch                 @@System
    Upgrade  fedora-gpg-keys-29-0.9.noarch                                   @fedora
    Upgraded fedora-gpg-keys-29-0.8.noarch                                   @@System
    Upgrade  fedora-obsolete-packages-29-20.noarch                           @fedora
    Upgraded fedora-obsolete-packages-29-19.noarch                           @@System
    Upgrade  fedora-release-29-0.13.noarch                                   @fedora
    Upgraded fedora-release-29-0.12.noarch                                   @@System
    Upgrade  fedora-release-workstation-29-0.13.noarch                       @fedora
    Upgraded fedora-release-workstation-29-0.12.noarch                       @@System
    Upgrade  fedora-repos-29-0.9.noarch                                      @fedora
    Upgraded fedora-repos-29-0.8.noarch                                      @@System
    Upgrade  fedora-repos-rawhide-29-0.9.noarch                              @fedora
    Upgraded fedora-repos-rawhide-29-0.8.noarch                              @@System
    Upgrade  gdm-1:3.29.91-1.fc29.x86_64                                     @fedora
    Upgraded gdm-1:3.29.90-1.fc29.x86_64                                     @@System
    Upgrade  gimp-2:2.10.6-2.fc29.x86_64                                     @fedora
    Upgraded gimp-2:2.10.6-1.fc29.x86_64                                     @@System
    Upgrade  gimp-libs-2:2.10.6-2.fc29.x86_64                                @fedora
    Upgraded gimp-libs-2:2.10.6-1.fc29.x86_64                                @@System
    Upgrade  git-2.19.0-0.0.rc0.fc29.x86_64                                  @fedora
    Upgraded git-2.18.0-2.fc29.4.x86_64                                      @@System
    Upgrade  git-core-2.19.0-0.0.rc0.fc29.x86_64                             @fedora
    Upgraded git-core-2.18.0-2.fc29.4.x86_64                                 @@System
    Upgrade  git-core-doc-2.19.0-0.0.rc0.fc29.noarch                         @fedora
    Upgraded git-core-doc-2.18.0-2.fc29.4.noarch                             @@System
    Upgrade  glibc-2.28-6.fc29.i686                                          @fedora
    Upgraded glibc-2.28-5.fc29.i686                                          @@System
    Upgrade  glibc-2.28-6.fc29.x86_64                                        @fedora
    Upgraded glibc-2.28-5.fc29.x86_64                                        @@System
    Upgrade  glibc-all-langpacks-2.28-6.fc29.x86_64                          @fedora
    Upgraded glibc-all-langpacks-2.28-5.fc29.x86_64                          @@System
    Upgrade  glibc-common-2.28-6.fc29.x86_64                                 @fedora
    Upgraded glibc-common-2.28-5.fc29.x86_64                                 @@System
    Upgrade  glibc-devel-2.28-6.fc29.x86_64                                  @fedora
    Upgraded glibc-devel-2.28-5.fc29.x86_64                                  @@System
    Upgrade  glibc-headers-2.28-6.fc29.x86_64                                @fedora
    Upgraded glibc-headers-2.28-5.fc29.x86_64                                @@System
    Upgrade  glibc-langpack-en-2.28-6.fc29.x86_64                            @fedora
    Upgraded glibc-langpack-en-2.28-5.fc29.x86_64                            @@System
    Upgrade  glibc-static-2.28-6.fc29.x86_64                                 @fedora
    Upgraded glibc-static-2.28-5.fc29.x86_64                                 @@System
    Upgrade  glx-utils-8.3.0-12.fc29.x86_64                                  @fedora
    Upgraded glx-utils-8.3.0-11.fc29.x86_64                                  @@System
    Upgrade  gnome-classic-session-3.29.91-1.fc29.noarch                     @fedora
    Upgraded gnome-classic-session-3.29.90-1.fc29.noarch                     @@System
    Upgrade  gnome-documents-3.29.91-1.fc29.x86_64                           @fedora
    Upgraded gnome-documents-3.28.1-2.fc29.x86_64                            @@System
    Upgrade  gnome-documents-libs-3.29.91-1.fc29.x86_64                      @fedora
    Upgraded gnome-documents-libs-3.28.1-2.fc29.x86_64                       @@System
    Upgrade  gnome-shell-3.29.91-1.fc29.x86_64                               @fedora
    Upgraded gnome-shell-3.29.90-2.fc29.x86_64                               @@System
    Upgrade  gnome-shell-extension-alternate-tab-3.29.91-1.fc29.noarch       @fedora
    Upgraded gnome-shell-extension-alternate-tab-3.29.90-1.fc29.noarch       @@System
    Upgrade  gnome-shell-extension-apps-menu-3.29.91-1.fc29.noarch           @fedora
    Upgraded gnome-shell-extension-apps-menu-3.29.90-1.fc29.noarch           @@System
    Upgrade  gnome-shell-extension-common-3.29.91-1.fc29.noarch              @fedora
    Upgraded gnome-shell-extension-common-3.29.90-1.fc29.noarch              @@System
    Upgrade  gnome-shell-extension-launch-new-instance-3.29.91-1.fc29.noarch @fedora
    Upgraded gnome-shell-extension-launch-new-instance-3.29.90-1.fc29.noarch @@System
    Upgrade  gnome-shell-extension-places-menu-3.29.91-1.fc29.noarch         @fedora
    Upgraded gnome-shell-extension-places-menu-3.29.90-1.fc29.noarch         @@System
    Upgrade  gnome-shell-extension-user-theme-3.29.91-1.fc29.noarch          @fedora
    Upgraded gnome-shell-extension-user-theme-3.29.90-1.fc29.noarch          @@System
    Upgrade  gnome-shell-extension-window-list-3.29.91-1.fc29.noarch         @fedora
    Upgraded gnome-shell-extension-window-list-3.29.90-1.fc29.noarch         @@System
    Upgrade  golang-1.11-0.rc2.1.fc29.x86_64                                 @fedora
    Upgraded golang-1.11-0.rc1.1.fc29.x86_64                                 @@System
    Upgrade  golang-bin-1.11-0.rc2.1.fc29.x86_64                             @fedora
    Upgraded golang-bin-1.11-0.rc1.1.fc29.x86_64                             @@System
    Upgrade  golang-src-1.11-0.rc2.1.fc29.noarch                             @fedora
    Upgraded golang-src-1.11-0.rc1.1.fc29.noarch                             @@System
    Upgrade  gparted-0.32.0-2.fc29.x86_64                                    @fedora
    Upgraded gparted-0.31.0-6.fc29.x86_64                                    @@System
    Upgrade  gtk-vnc2-0.9.0-2.fc29.x86_64                                    @fedora
    Upgraded gtk-vnc2-0.9.0-1.fc29.x86_64                                    @@System
    Upgrade  gvnc-0.9.0-2.fc29.x86_64                                        @fedora
    Upgraded gvnc-0.9.0-1.fc29.x86_64                                        @@System
    Upgrade  ibus-1.5.19-2.fc29.x86_64                                       @fedora
    Upgraded ibus-1.5.19-1.fc29.x86_64                                       @@System
    Upgrade  ibus-gtk2-1.5.19-2.fc29.x86_64                                  @fedora
    Upgraded ibus-gtk2-1.5.19-1.fc29.x86_64                                  @@System
    Upgrade  ibus-gtk3-1.5.19-2.fc29.x86_64                                  @fedora
    Upgraded ibus-gtk3-1.5.19-1.fc29.x86_64                                  @@System
    Upgrade  ibus-libs-1.5.19-2.fc29.x86_64                                  @fedora
    Upgraded ibus-libs-1.5.19-1.fc29.x86_64                                  @@System
    Upgrade  ibus-setup-1.5.19-2.fc29.noarch                                 @fedora
    Upgraded ibus-setup-1.5.19-1.fc29.noarch                                 @@System
    Upgrade  ibus-typing-booster-2.1.0-2.fc29.noarch                         @fedora
    Upgraded ibus-typing-booster-2.1.0-1.fc29.noarch                         @@System
    Upgrade  ibus-wayland-1.5.19-2.fc29.x86_64                               @fedora
    Upgraded ibus-wayland-1.5.19-1.fc29.x86_64                               @@System
    Upgrade  java-11-openjdk-headless-1:11.0.ea.22-7.fc29.x86_64             @fedora
    Upgraded java-11-openjdk-headless-1:11.0.ea.22-6.fc29.x86_64             @@System
    Upgrade  java-openjdk-headless-1:10.0.2.13-7.fc29.x86_64                 @fedora
    Upgraded java-openjdk-headless-1:10.0.2.13-1.fc29.x86_64                 @@System
    Upgrade  libmarkdown-2.2.4-1.fc29.x86_64                                 @fedora
    Upgraded libmarkdown-2.2.3-1.fc29.x86_64                                 @@System
    Upgrade  libxcrypt-4.1.2-1.fc29.x86_64                                   @fedora
    Upgraded libxcrypt-4.1.1-4.fc29.x86_64                                   @@System
    Upgrade  libxcrypt-devel-4.1.2-1.fc29.x86_64                             @fedora
    Upgraded libxcrypt-devel-4.1.1-4.fc29.x86_64                             @@System
    Upgrade  libxcrypt-static-4.1.2-1.fc29.x86_64                            @fedora
    Upgraded libxcrypt-static-4.1.1-4.fc29.x86_64                            @@System
    Upgrade  meson-0.47.2-1.fc29.noarch                                      @fedora
    Upgraded meson-0.47.1-5.fc29.noarch                                      @@System
    Upgrade  mutter-3.29.91-1.fc29.x86_64                                    @fedora
    Upgraded mutter-3.29.90-2.fc29.x86_64                                    @@System
    Upgrade  openblas-0.3.2-3.fc29.x86_64                                    @fedora
    Upgraded openblas-0.3.2-2.fc29.x86_64                                    @@System
    Upgrade  openblas-serial-0.3.2-3.fc29.x86_64                             @fedora
    Upgraded openblas-serial-0.3.2-2.fc29.x86_64                             @@System
    Upgrade  openblas-threads-0.3.2-3.fc29.x86_64                            @fedora
    Upgraded openblas-threads-0.3.2-2.fc29.x86_64                            @@System
    Upgrade  openssh-7.8p1-1.fc29.x86_64                                     @fedora
    Upgraded openssh-7.7p1-6.fc29.x86_64                                     @@System
    Upgrade  openssh-askpass-7.8p1-1.fc29.x86_64                             @fedora
    Upgraded openssh-askpass-7.7p1-6.fc29.x86_64                             @@System
    Upgrade  openssh-clients-7.8p1-1.fc29.x86_64                             @fedora
    Upgraded openssh-clients-7.7p1-6.fc29.x86_64                             @@System
    Upgrade  openssh-server-7.8p1-1.fc29.x86_64                              @fedora
    Upgraded openssh-server-7.7p1-6.fc29.x86_64                              @@System
    Upgrade  openssl-1:1.1.1-0.pre9.1.fc29.x86_64                            @fedora
    Upgraded openssl-1:1.1.1-0.pre8.4.fc29.x86_64                            @@System
    Upgrade  openssl-devel-1:1.1.1-0.pre9.1.fc29.x86_64                      @fedora
    Upgraded openssl-devel-1:1.1.1-0.pre8.4.fc29.x86_64                      @@System
    Upgrade  openssl-libs-1:1.1.1-0.pre9.1.fc29.x86_64                       @fedora
    Upgraded openssl-libs-1:1.1.1-0.pre8.4.fc29.x86_64                       @@System
    Upgrade  perl-Archive-Zip-1.63-1.fc29.noarch                             @fedora
    Upgraded perl-Archive-Zip-1.62-1.fc29.noarch                             @@System
    Upgrade  perl-Git-2.19.0-0.0.rc0.fc29.noarch                             @fedora
    Upgraded perl-Git-2.18.0-2.fc29.4.noarch                                 @@System
    Upgrade  protobuf-java-3.5.0-8.fc29.noarch                               @fedora
    Upgraded protobuf-java-3.5.0-6.fc29.noarch                               @@System
    Upgrade  python-rpm-macros-3-37.fc29.noarch                              @fedora
    Upgraded python-rpm-macros-3-36.fc29.noarch                              @@System
    Upgrade  python-srpm-macros-3-37.fc29.noarch                             @fedora
    Upgraded python-srpm-macros-3-36.fc29.noarch                             @@System
    Upgrade  python2-bodhi-3.9.0-1.fc29.noarch                               @fedora
    Upgraded python2-bodhi-3.8.1-2.fc29.noarch                               @@System
    Upgrade  python2-cffi-1.11.5-6.fc29.x86_64                               @fedora
    Upgraded python2-cffi-1.11.5-4.fc29.x86_64                               @@System
    Upgrade  python2-rpm-4.14.2-1.fc29.x86_64                                @fedora
    Upgraded python2-rpm-4.14.2-0.rc2.2.fc29.x86_64                          @@System
    Upgrade  python2-rpm-macros-3-37.fc29.noarch                             @fedora
    Upgraded python2-rpm-macros-3-36.fc29.noarch                             @@System
    Upgrade  python2-setools-4.1.1-12.1.fc29.x86_64                          @fedora
    Upgraded python2-setools-4.1.1-11.fc29.x86_64                            @@System
    Upgrade  python3-bodhi-3.9.0-1.fc29.noarch                               @fedora
    Upgraded python3-bodhi-3.8.1-2.fc29.noarch                               @@System
    Upgrade  python3-bodhi-client-3.9.0-1.fc29.noarch                        @fedora
    Upgraded python3-bodhi-client-3.8.1-2.fc29.noarch                        @@System
    Upgrade  python3-cffi-1.11.5-6.fc29.x86_64                               @fedora
    Upgraded python3-cffi-1.11.5-4.fc29.x86_64                               @@System
    Upgrade  python3-rpm-4.14.2-1.fc29.x86_64                                @fedora
    Upgraded python3-rpm-4.14.2-0.rc2.2.fc29.x86_64                          @@System
    Upgrade  python3-rpm-macros-3-37.fc29.noarch                             @fedora
    Upgraded python3-rpm-macros-3-36.fc29.noarch                             @@System
    Upgrade  python3-setools-4.1.1-12.1.fc29.x86_64                          @fedora
    Upgraded python3-setools-4.1.1-11.fc29.x86_64                            @@System
    Upgrade  qgnomeplatform-0.4-2.fc29.x86_64                                @fedora
    Upgraded qgnomeplatform-0.4-1.fc29.x86_64                                @@System
    Upgrade  realmd-0.16.3-15.fc29.x86_64                                    @fedora
    Upgraded realmd-0.16.3-14.fc29.x86_64                                    @@System
    Upgrade  rpm-4.14.2-1.fc29.x86_64                                        @fedora
    Upgraded rpm-4.14.2-0.rc2.2.fc29.x86_64                                  @@System
    Upgrade  rpm-build-4.14.2-1.fc29.x86_64                                  @fedora
    Upgraded rpm-build-4.14.2-0.rc2.2.fc29.x86_64                            @@System
    Upgrade  rpm-build-libs-4.14.2-1.fc29.x86_64                             @fedora
    Upgraded rpm-build-libs-4.14.2-0.rc2.2.fc29.x86_64                       @@System
    Upgrade  rpm-devel-4.14.2-1.fc29.x86_64                                  @fedora
    Upgraded rpm-devel-4.14.2-0.rc2.2.fc29.x86_64                            @@System
    Upgrade  rpm-libs-4.14.2-1.fc29.x86_64                                   @fedora
    Upgraded rpm-libs-4.14.2-0.rc2.2.fc29.x86_64                             @@System
    Upgrade  rpm-plugin-selinux-4.14.2-1.fc29.x86_64                         @fedora
    Upgraded rpm-plugin-selinux-4.14.2-0.rc2.2.fc29.x86_64                   @@System
    Upgrade  rpm-plugin-systemd-inhibit-4.14.2-1.fc29.x86_64                 @fedora
    Upgraded rpm-plugin-systemd-inhibit-4.14.2-0.rc2.2.fc29.x86_64           @@System
    Upgrade  rpm-sign-libs-4.14.2-1.fc29.x86_64                              @fedora
    Upgraded rpm-sign-libs-4.14.2-0.rc2.2.fc29.x86_64                        @@System
    Upgrade  xen-libs-4.11.0-5.fc29.x86_64                                   @fedora
    Upgraded xen-libs-4.11.0-4.fc29.x86_64                                   @@System
    Upgrade  xen-licenses-4.11.0-5.fc29.x86_64                               @fedora
    Upgraded xen-licenses-4.11.0-4.fc29.x86_64                               @@System
    Removed  kernel-4.18.0-1.fc29.x86_64                                     @@System
    Removed  kernel-core-4.18.0-1.fc29.x86_64                                @@System
    Removed  kernel-devel-4.18.0-0.rc8.git2.1.fc29.x86_64                    @@System
    Removed  kernel-modules-4.18.0-1.fc29.x86_64                             @@System
    Removed  kernel-modules-extra-4.18.0-1.fc29.x86_64                       @@System

Comment 1 Fedora Blocker Bugs Application 2018-08-27 12:41:08 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user sgallagh using the blocker tracking app because:

 Applications do eventually start, but the lag is so significant that we should be ashamed to ship in this condition.

Comment 2 Stephen Gallagher 2018-08-27 12:58:56 UTC
Also, I tried operating in SELinux permissive mode to rule that out. It had no impact.

Comment 3 Stephen Gallagher 2018-08-27 13:16:46 UTC
I did some debugging with Ray Strode on IRC and we noted:
"Aug 27 08:47:24 sgallaghp50.sgallagh.rht at-spi-bus-launcher[19445]: /usr/bin/dbus-broker-launch: unrecognized option '--verbose'"

Looks like this came in as a change with at-spi2-core-2.28.0-3.fc29.

Moving to that component.

Comment 4 Stephen Gallagher 2018-08-28 12:31:40 UTC
There's a newer version of the dbus-broker patch available upstream that fixes this issue, so I'm backporting that to Fedora. It's building now.

Can I get FE votes on this issue please, now that we're in Beta Freeze?

Comment 5 Fedora Update System 2018-08-28 12:39:12 UTC
at-spi2-core-2.28.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-653835319b

Comment 6 Geoffrey Marr 2018-08-28 16:05:28 UTC
+1 FE, patch already upstream

Comment 7 Fedora Update System 2018-08-29 19:03:10 UTC
at-spi2-core-2.28.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-653835319b

Comment 8 Adam Williamson 2018-08-29 21:54:00 UTC
+1 FE, sure.

Comment 9 Fedora Update System 2018-08-29 23:12:42 UTC
at-spi2-core-2.28.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-653835319b

Comment 10 Geoffrey Marr 2018-09-04 20:42:25 UTC
Discussed during the 2018-09-04 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as this is obviously undesirable for the Workstation live and could not be fixed with an update for that case.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-04/f29-blocker-review.2018-09-04-16.01.txt

Comment 11 Fedora Update System 2018-09-05 01:08:35 UTC
at-spi2-core-2.28.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.